Subject: bug#17046: 24.3.50; On startup emacs frame has no minibuffer or windows decorations

From: martin rudalics <[email-masked]>
Date: Sat, 22 Mar 2014 22:35:38 +0100

> The frameset in Juanma's bug17046.el file only appeared to have one
 > window (in as far as I understand the format!) and I've just tried all
 > 4 tests with the file (& frameset) that was attached to his email (adding a
 > find-file of .emacs) and one window (onto .emacs) appears and no sign
 > of the problem

I expected that.

 > So I've tried it with your version of bug17046.el (now with 2 find-files)
 >
 >> Now if that frameset produces two windows as I expect, we know that the
 >   > problem is with transforming the initial Emacs frame, which apparently
 >   > is not good for restoring this desktop.  Then we have to step by step
 >   > remove lines from bug17046.el until we arrive at the line that causes
 >   > the problem.
 >   >
 >
 > This does produce 2 windows but in no case is there a sign of the
 > problem - or is that what you are expecting?

I did.  If you now ask yourself why I wanted you to try that, then it's
because I wanted to try with the more simple approaches first.  BTW, you
did check all four of Juanma's scenarios, that is also the ones without
the (sit-for 0)?

 > I wondered about the
 >
 > 	(visibility . icon)
 >
 > line (I don't think I ever started it up iconized) and tried the tests
 > both with and without it with the same result.

This is indeed a strange thing.  Juanma, do we usually ignore this?

 > If I don't include the 2 find-files I get a single window onto *Messages*
 >
 > Not sure whether it is relevant - or you've already assumed this
 > - there's no resize facility on the bad frame (apart from maximize) move
 > the mouse to the window corner and no resize arrows appear.

It is yet another mysterious detail.  Please post now your entire
.emacs.desktop file here, that is the one that you use to produce the
bad frame in the new session.  I'll then try to tell you what to remove
from that file in order to narrow down the possible culprits.

And thanks for bearing with me, martin